CacheXmlException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: CacheXmlException

Package org.apache.geode.cache

# Class CacheXmlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.CacheXmlException

All Implemented Interfaces:
  `Serializable`

public class CacheXmlException extends CacheRuntimeException
Thrown when a problem is encountered while parsing a declarative caching XML file. Examples of such problems are a malformed XML file or the inability to load a `Declarable` class.

Since:
  GemFire 3.0
See Also:
  - `CacheFactory.create()`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheXmlException(String message)`
  Creates a new `CacheXmlException` with the given description.
  `CacheXmlException(String message, Throwable cause)`
  Creates a new `CacheXmlException` with the given description and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CacheXmlException

    public CacheXmlException(String message, Throwable cause)
    Creates a new `CacheXmlException` with the given description and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause

  - ### CacheXmlException

    public CacheXmlException(String message)
    Creates a new `CacheXmlException` with the given description.
    Parameters:
      `message` - the detail message